GET /nodes/{node_id}/comments/
Operation ID: nodes_comments_list
Auth: unknown
Description
A paginated list of comments related to a given node. The returned comments are sorted by their creation date, with the most recent comments appearing first. #### Permissions Comments on public nodes are given read-only access to everyone. If the node comment-level is `private`, only contributors have permission to comment. If the comment-level is `public`, any logged-in OSF user can comment. Comments on private nodes are only visible to contributors and administrators on the parent node. #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of comment objects. Each resource in the array is a separate comment object. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination). #### Filtering You can optionally request that the response only include comments that match your filters by utilizing the `filter` query parameter, e.g. https://api.osf.io/v2/nodes/ezcuj/comments/?filter[target_id]=jg7sezmdnt93 Nodes may be filtered by their `deleted`, `target_id`, `date_created`, `date_modified`. Most fields are string fields and will be filtered using simple substring matching. Public and preprint are boolean fields, and can be filtered using truthy values, such as **true**, **false**, **0** or **1**. Note that quoting `true` or `false` in the query will cause the match to fail.
Parameters (1)
(string, path, required)
The unique identifier of the node.
No probe data for this endpoint yet.